﻿using UnityEngine;
using System.Collections;

public class JumpForFalling : MonoBehaviour 
{
	public float jumpSpeed = 20f;
	public Animator anim;
	public bool fallingScene = false;
	public float fallingSpeed = 1.0f;
	public Transform StoppingPoint;
	
	// Use this for initialization
	void Start () 
	{
		anim = gameObject.GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () 
	{	
		anim.SetFloat("Vertical_Speed", rigidbody2D.velocity.y);
		
		//Used in falling scenes to move the player downward in a controlable fashion
		if(fallingScene == true)
		{
			Vector3 newScale = transform.localScale;
			newScale.y = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.TransformDirection(0,-fallingSpeed/30, 0);
		}
		if(transform.position.y < StoppingPoint.transform.position.y)
		{
			fallingScene = false;
			rigidbody2D.gravityScale = 3;
		}
	}
}
