﻿using UnityEngine;
using System.Collections;

public class level1MoveLeftRight : MonoBehaviour 
{
	public float speed = 1.0f;
	public float cutSceneSpeed = 0.9f;
	public string axisName = "Horizontal";
	public Animator anim;
	public Transform StartingPoint;
	public Transform EndAnimationStart;
	public Transform EndAnimationStop;
	public Transform GuiStop;
	public bool StopGui = false;
	public bool ready = false;
	public bool end = false;
	public string NextLevel;
	
	// Use this for initialization
	void Start () 
	{
		anim = gameObject.GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () 
	{
		if(!ready)
		{
			anim.SetFloat("Horizontal_Speed", cutSceneSpeed);
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*cutSceneSpeed*Time.deltaTime;
			
		}
		else if(Input.GetAxis(axisName) < 0 && ready)
		{
			anim.SetFloat("Horizontal_Speed", Mathf.Abs(Input.GetAxis(axisName)));
			Vector3 newScale = transform.localScale;
			newScale.x = -1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*Input.GetAxis(axisName)*speed*Time.deltaTime;
		}
		else if(Input.GetAxis(axisName) > 0 && ready)
		{
			anim.SetFloat("Horizontal_Speed", Mathf.Abs(Input.GetAxis(axisName)));
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*Input.GetAxis(axisName)*speed*Time.deltaTime;
		}
		if(transform.position.x > StartingPoint.transform.position.x && !ready)
		{
			ready = true;
			anim.SetFloat("Horizontal_Speed", 0);
		}
		if(transform.position.x > EndAnimationStart.transform.position.x)
		{
			end = true;
			ready = false;
			anim.SetFloat("Horizontal_Speed", cutSceneSpeed);
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;
			transform.position += transform.right*cutSceneSpeed*Time.deltaTime;
		}
		if(transform.position.x > EndAnimationStop.transform.position.x && end)
		{
			Application.LoadLevel(NextLevel);
		}
	}

	void OnGUI()
	{
		if(!ready && transform.position.x < StartingPoint.position.x)
		{
			GUI.Label (new Rect(Screen.width/2, Screen.height/2 - 100, 300, 50), "Please help me...I'm lost and scared.  How do I get out of here?");
		}
		else if(ready && transform.position.y < GuiStop.transform.position.y && StopGui == false)
		{
			GUI.Label (new Rect(Screen.width/2 - 150, 50, 300, 50), "Help your fellow dreamer get out of the nightmare.");
		}
		else if(ready && transform.position.y > GuiStop.transform.position.y && StopGui == false)
		{
			StopGui = true;
		}
		else if(transform.position.x > EndAnimationStart.transform.position.x)
		{
			GUI.Label (new Rect(Screen.width/2, Screen.height/2 - 100, 300, 50), "Thank you for helping me find my way out of that place.  You are so brave!");
		}
	}
}
